<?php
#---------------------------------------------------------------------------
# Needed for stand alone use (without the template envirionment) 
#---------------------------------------------------------------------------
$standAlone				= false;		// false if we run in a template environment
$includeHead			= false; 		// <head><body><css><scripts> are loaded
$colorClass				= 'beige';		// pastel green blue beige orange 
if ($standAlone) {$SITE = array();}
$pathString				= '';

#$SITE['charset']		= 'windows-1252'; 	// default character set for webpages (windows-1252)
if (!defined('ENT_XHTML')) {define ('ENT_XHTML' ,  32);}
$SITE['htmlVersion']	= ENT_XHTML; 		// html version of this page

#---------------------------------------------------------------------------
# Directory settings
#---------------------------------------------------------------------------
$SITE['wxsimDir']		= 'wsWxsimSA/'; // this folder the script is executing from
$SITE['wxsimData']		= './';			// root folder is the normal place for the wxsim data (and the saratoga scripts)
$SITE['cacheDir']		= 'cache/';		// this folder the script is executing from
#$SITE['pageWidth']		= '650';		// the width of the page outputted
#---------------------------------------------------------------------------
$SITE['yourArea']		= 'yourArea';
#$SITE['organ']			= 'yourStationName';
#---------------------------------------------------------------------------
# date and time settings
#---------------------------------------------------------------------------
#$SITE['tz']			= 'Europe/Brussels'; // Time zone for the whole of western europe, leave it if you do not know your EXACT timezone description
#$SITE['latitude']		= '50.89518';	// North=positive, South=negative decimal degrees
#$SITE['longitude']		= '4.69741';	// East=positive, West=negative decimal degrees
#$SITE['timeFormat']		= 'd-m-Y H:i';	// 31-03-2012 14:03
#$SITE['timeOnlyFormat']	= 'H:i';		// Euro format hh:mm  (hh=00..23);
#$SITE['dateOnlyFormat']	= 'd-m-Y';		// for 31-03-2013
$SITE['dateLongFormat']	= 'l d F Y';	// Thursday 3 january 2013
$SITE['hourOnlyFormat']	= 'H';			// Euro format 'H'  (hh=00..23);  us format 'h a'   05 pm
#---------------------------------------------------------------------------
# units of measurement UOM  settings
#---------------------------------------------------------------------------
#$SITE['uomTemp']		= '&deg;C';		// ='&deg;C', ='&deg;F'
#$SITE['uomRain']		= ' mm';		// =' mm', =' in'
#$SITE['uomWind'] 		= ' km/h';		// =' km/h', =' kts', =' m/s', =' mph'
#$SITE['uomBaro']		= ' hPa';		// =' hPa', =' mb', =' inHg'
#$SITE['uomSnow']		= ' cm';		// =' cm', =' in'
#$SITE['uomDistance']	= ' km';		// =' km', = ' mi'  used for visibillity 
#---------------------------------------------------------------------------
# extensions on your weather station
#---------------------------------------------------------------------------
$SITE['soilUsed']		= true;			// do we use soil moistere & temp sensors
$SITE['soilCount']		= '2';			// 4 = max numer of sensors, 3 = max latest.csv 2 max lastret.txt
$SITE['soilDepth'][1]	= 10;			// depth in units of $SITE['uomSnow'] (either cm  or inch)
$SITE['soilDepth'][2]	= 30;
#---------------------------------------------------------------------------
# directories where supporting scripts and files are located, all relative to the start.php dir
#---------------------------------------------------------------------------
$SITE['imgDir']			= 'wsWxsimSA/img/';			// contains images like sun-up  sun-down
$SITE['javascriptsDir']	= 'wsWxsimSA/javaScripts/';	// contains the javascripts for graphs / tabs / tooltips
	// jquery.js
	// jquery.qtip.js
	// tabber.js
	// highcharts.js
$SITE['supportDir']		= 'otherScripts/';	
	// language translate scripts & language files	wsLangFunctions.php plus lang directory
	// general functions							wsFunctions.php
	// icon translate								wsIconUrl.php
	// stylesheet									styleWsWxsim.css
#---------------------------------------------------------------------------
# Multilanguage support 
#---------------------------------------------------------------------------
#  when starting the  script you can choose a different language
#    by adding ?lang=xx at the end of the script name
#    www.yourwebsite.com/wsWxsimSA/start.php?lang=de
#
#if (isset($_REQUEST['lang'])){		   // than check this request settings
#	$s=trim(strtolower($_REQUEST['lang']));
#	if (in_array($s, $SITE['langAvail']))	{ 
#		$SITE['lang'] 	= $s;
#		$lang 			= $SITE['lang'];
#	}
#}
#---------------------------------------------------------------------------
# set error reporting  
#---------------------------------------------------------------------------
# for testing and debugging only  -  set to comment for production versions
# 	comment out in a production environment 
ini_set('display_errors', 'On'); 
error_reporting(E_ALL);
#---------------------------------------------------------------------------
$pageName		= 'startSaratoga.php';
$pageVersion	= '1.30 2013-06-13';
$SITE['wsModules'][$pageName] = 'version: ' . $pageVersion;
$pageFile = basename(__FILE__);			// check to see this is the real script
if ($pageFile <> $pageName) {
	$SITE['wsModules'][$pageFile]	= 'this file loaded instead of '.$pageName;
}
$pathString .= '<!-- module '.$pageFile.' ==== '.$SITE['wsModules'][$pageFile]." -->".PHP_EOL;
#---------------------------------------------------------------------------
# set the Timezone abbreviation automatically based on $SITE['tzname'];
#---------------------------------------------------------------------------
if (!function_exists('date_default_timezone_set')) {
	 putenv("TZ=" . $SITE['tz']);
} else {
	 date_default_timezone_set($SITE['tz']);
}
$SITE['tzName']	= date("T",time());
$pathString	.= '<!-- Timezone = '.$SITE['tzName'].' Time = '.date($SITE['timeFormat'],time()).' -->'.PHP_EOL;
#---------------------------------------------------------------------------
# load supporting scripts 
#---------------------------------------------------------------------------
$lang		= $SITE['lang'];

if ($standAlone) {
	$script	= $SITE['wxsimDir'].$SITE['supportDir'].'wsLangFunctions.php';
	$pathString	.= '<!-- trying to load '.$script.' -->'.PHP_EOL;
	include_once($script);
}
$script	= $SITE['wxsimDir'].$SITE['supportDir'].'wsFunctions.php';
$pathString	.= '<!-- trying to load '.$script.' -->'.PHP_EOL;
include_once($script);
#
if ($includeHead) {
header("Content-Type: text/html; charset=".strtoupper($SITE['charset']));
echo'<!DOCTYPE html><html>
<head>
	<meta name="description" content="'.$SITE['organ'].' - start.php>" />
	<meta http-equiv="Content-Type" content="text/html; charset='.$SITE['charset'].' "/>
	<link rel="stylesheet" type="text/css" href="styleWsWxsim.css" media="screen" title="screen" />
	<link rel="shortcut icon" href="img/icon.png" type="image/x-icon" />
	<meta http-equiv="Pragma" content="no-cache" />
	<meta http-equiv="Cache-Control" content="no-cache" />
	<meta name="Keywords" content="weather, Weather, temperature, dew point, humidity, forecast,  Weather, Your City, weather conditions, live weather, live weather conditions, weather data, weather history, Meteohub " />
	<meta name="Description" content="Weather conditions '.$SITE['organ'].'" />
	<title>'.$SITE['organ'].' -  wxsim stand alone script</title>
	<script type="text/javascript">
		var docready=[],$=function(){return{ready:function(fn){docready.push(fn)}}};
	</script>
</head>
<body class="'.$colorClass.'">'.PHP_EOL;
} 
#	if you use your own page setup you should a line with
#
#	<link rel="stylesheet" type="text/css" href="styleWsWxsim.css" media="screen" title="screen" />
#
#  	in your html so that the correct css is loaded
#
echo $pathString;
#
$script		= $SITE['wxsimDir'].$SITE['supportDir'].'wsIconUrl.php';
echo '<!-- trying to load '.$script.' -->'.PHP_EOL;
include_once($script);
#
$uomTemp	= $SITE['uomTemp'];
$script		= $SITE['wxsimDir'].'wsWxsimPrintFull.php';

echo '<!-- trying to load '.$script.' -->'.PHP_EOL;
include_once($script);

if ($includeHead) {
	echo '
</body>
</html>';
}
#
# Leave this code here .. it will help you see what language translations are missing 
# 
$string='';
foreach ($missingTrans as $key => $val) {
	$string.= "langlookup|$key|$key|".PHP_EOL;
}
if (strlen($string) > 0) {
	echo PHP_EOL.'<!-- missing langlookup entries for lang='.$lang.PHP_EOL;
	echo $string;
	echo count($missingTrans).' entries found.'.PHP_EOL.'End of missing langlookup entries -->'.PHP_EOL;
}
?>