<?php
if (!isset($SITE)){
	header ("Location: ../index.php");	// back to index/startpage if someone tries an
	exit;  								//  page to load without menu system//
}
$pageName		= 'wsWxsimPrintFull.php';
$pageVersion	= '1.30 2013-06-13';
$SITE['wsModules'][$pageName] = 'version: ' . $pageVersion;
$pageFile = basename(__FILE__);			// check to see this is the real script
if ($pageFile <> $pageName) {
	$SITE['wsModules'][$pageFile]	= 'this file loaded instead of '.$pageName;
}
echo '<!-- module '.$pageFile.' ==== '.$SITE['wsModules'][$pageFile]." -->".PHP_EOL;
#---------------------------------------------------------------------------
# set error reporting  
#---------------------------------------------------------------------------
# for testing and debugging only  -  set to comment for production versions
# 	comment out in a production environment 
#---------------------------------------------------------------------------
#   1.00   2013-01-15   release version
#   
#-------------------------------------------------------------------------------------------------
#
# settings are  contained in wsWxsimsettings.php
#	the setting for the scriptfolder is needed to load the settingsfile 
#
$scriptFolder	= 'wsWxsim/';		// location of the ws wxsim scripts, set it here
if (isset ($SITE['wxsimDir']) )		{$scriptFolder = $SITE['wxsimDir'];}  // or is it already set in calling script
#
include ($scriptFolder.'wsWxsimSettings.php');
#
# load / parse plaintext.txt into array
include ($scriptFolder.'wsWxsimParser.php');	
$timeFormat 	= $SITE['timeOnlyFormat'];		// disturbed by plaintext script
#
# load  processing of lastret.txt or latest.csv into array
include ($scriptFolder.'wsWxsimGetFile.php');
#
# load first part of printing, all output tables are created here
include ($scriptFolder.'wsWxsimHtmlGen.php');
#
if ($standAlone)	{	// without template environment we create colored background ourselves
	echo '<div class="'.$colorClass.'" style="width: '.$mainWidth.'px;  padding: 4px 10px 10px 10px; margin: auto;">'.PHP_EOL;
}
#
echo '<div style=" margin: 0px 8px 4px 0px;">';		// div for header and create / update times
if ($displayTimes) { echo $wsUpdateTimes; }			// update time calculated in wsWxsimPrint1
echo '<h4>'.langtransstr('wsWxsimForecast.').' '.langtransstr($SITE['yourArea']);
if ($displayTimes) { echo '<br />'; } else { echo '&nbsp;&nbsp;&nbsp;';}
echo langtransstr('by: ').$SITE['organ'].'</h4>'.PHP_EOL;
#
echo '</div>'.PHP_EOL;
#
if ($displayIcons == true) {			// icons and tooltips based on plaintext.txt are assembled in wsWxsimPrint1
	echo $tableIcons;					// icons
	echo $qtipTxtIcon;					// tooltip scripts	
	echo '<br />'.PHP_EOL;
}
#
if ($graphsSeparate) {		// are the graphs separate (=true) on the page or are they in a tab
	echo $stringGraphDivs;
}
# now the tabs for the tables with wxsim data
#
if ( isset($wxsimTabHeight) ) {
	$styleHeight='height:'.$wxsimTabHeight.';';
} else {
	$styleHeight='';
}
echo '<div class="tabber"  style="width:100%;">'.PHP_EOL;
echo '<div class="tabbertab" style="'.$styleHeight.'"><h2>'.langtransstr('Overview').'</h2>'.PHP_EOL;
	echo $tablePlain;						// plaintext.txt based information tab
	echo $qtipTxtPlain;						// tooltips
echo '</div>'.PHP_EOL;
for ($n=0;$n < count($printTable);$n++){ 	// print all table strings
	echo '<div class="tabbertab" style="'.$styleHeight.'"><h2>'.$tableName[$n].'</h2>'.PHP_EOL;
	echo $table[$n];
	echo $qtipTxt[$n];
	echo '</div>'.PHP_EOL;
}
if (!$graphsSeparate) {		// are the graphs separate on the page or are they in a tab  (=false)
	echo '<div class="tabbertab" style="overflow: hidden; '.$styleHeight.'"><h2>'.langtransstr('Graphs').'</h2>'.PHP_EOL;
	echo $stringGraphDivs;
	echo '</div>'.PHP_EOL;
}
echo $graphPart1;			// javascripts with all  the graphs are shown in the divs outputted above
#
# credit who is credit due
$arrContrib		= array();
$arrContrib[]	= array ('name' => 'Ken True',	'organ' => 'SaratogaWeather', 	'href' => 'http://saratoga-weather.org/');
$arrContrib[]	= array ('name' => 'Rob', 		'organ' => 'WellingtonWeather', 'href' => 'http://www.wellingtonweather.co.uk');
$arrContrib[]	= array ('name' => 'HENKKA',		'organ' => 'NordicWeather', 	'href' => 'http://www.nordicweather.net');
if ($icons == 'yrno') {
	$arrContrib[]	= array ('name' => 'icons',   	'organ' => 'DotVoid', 			'href' => 'http://www.dotvoid.com/weather-icons/');
} else {
	$arrContrib[]	= array ('name' => 'icons',   	'organ' => 'KDE', 				'href' => 'http://kde-look.org/content/show.php?content=39988');
}
echo '
<br />
<small> WXSIM script developed by <a target="_blank" href="http://www.weerstation-leuven.be"> WeerstationLeuven</a>.&nbsp;&nbsp;
Based on scripts/snippets/icons from: ';
$last	= count($arrContrib);
for ($i = 0; $i < $last; $i++) {
	echo $arrContrib[$i]['name'].' from <a target="_blank" href="'.$arrContrib[$i]['href'].'">'.$arrContrib[$i]['organ'].'</a>';
	if ($i < $last - 2) 	{echo '; ';}
	if ($i == $last - 2) 	{echo ' and ';}
}
echo '.&nbsp;
Forecast is created from data by  <a target="_blank" href="http://www.wxsim.com">WXSIM</a>. Graphs are drawn using <a target="_blank"  href="http://www.highcharts.com">Highcharts</a>
</small>';
if ($standAlone)	{	// without template environment we create colored background ourselves
	echo PHP_EOL.'</div>'.PHP_EOL;		// eo colored div
}
# these are the needed javascripts which should be loaded after everything else
echo '<script type="text/javascript" src="'.$javaFolder.'jquery.js"></script>'.PHP_EOL;
echo '<script type="text/javascript" src="'.$javaFolder.'jquery.qtip.js"></script>'.PHP_EOL;
echo '<script type="text/javascript" src="'.$javaFolder.'tabber.js"></script>'.PHP_EOL;
echo '<script type="text/javascript" src="'.$javaFolder.'highcharts.js"></script>'.PHP_EOL;
echo '<script type="text/javascript">$=jQuery;jQuery(document).ready(function(){for(n in docready){docready[n]()}});</script>'.PHP_EOL;
?>